Bug 215850 - [NEW PORT] misc/py-cinder: Block Storage service for OpenStack
Summary: [NEW PORT] misc/py-cinder: Block Storage service for OpenStack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on: 215877
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-07 13:10 UTC by Alexander Nusov
Modified: 2017-01-14 16:33 UTC (History)
1 user (show)

See Also:


Attachments
cinder (34.90 KB, patch)
2017-01-07 13:10 UTC, Alexander Nusov
no flags Details | Diff
cinder (uids/gids) (34.06 KB, patch)
2017-01-07 13:13 UTC, Alexander Nusov
no flags Details | Diff
adds oslo.vmware with updated suds jurko dependency (3.13 KB, patch)
2017-01-08 17:19 UTC, Alexander Nusov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nusov 2017-01-07 13:10:12 UTC
Created attachment 178597 [details]
cinder

Cinder is a Block Storage service for OpenStack. It's designed to present
storage resources to end users that can be consumed by the OpenStack Compute
Project (Nova). This is done through the use of either a reference
implementation (LVM) or plugin drivers for other storage. The short
description of Cinder is that it virtualizes the management of block storage
devices and provides end users with a self service API to request and consume
those resources without requiring any knowledge of where their storage is
actually deployed or on what type of device.
Comment 1 Alexander Nusov 2017-01-07 13:13:35 UTC
Created attachment 178598 [details]
cinder (uids/gids)
Comment 2 commit-hook freebsd_committer 2017-01-08 12:36:47 UTC
A commit references this bug:

Author: novel
Date: Sun Jan  8 12:35:47 UTC 2017
New revision: 430865
URL: https://svnweb.freebsd.org/changeset/ports/430865

Log:
  Add py-rtslib-fb 2.1.47, API for Linux kernel SCSI target (aka lio).

  PR:		215850
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-rtslib-fb/
  head/devel/py-rtslib-fb/Makefile
  head/devel/py-rtslib-fb/distinfo
  head/devel/py-rtslib-fb/pkg-descr
Comment 3 commit-hook freebsd_committer 2017-01-08 12:37:50 UTC
A commit references this bug:

Author: novel
Date: Sun Jan  8 12:36:57 UTC 2017
New revision: 430866
URL: https://svnweb.freebsd.org/changeset/ports/430866

Log:
  Add py-tenacity 3.4.0, task retrying for python library.

  PR:		215850
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-tenacity/
  head/devel/py-tenacity/Makefile
  head/devel/py-tenacity/distinfo
  head/devel/py-tenacity/pkg-descr
Comment 4 Roman Bogorodskiy freebsd_committer 2017-01-08 12:44:50 UTC
I think py-suds-jurko should be added to net instead of devel because py-suds already lives there. Also, it should have CONFLICTS_INSTALL specified for py-suds because they install files in the same place.
Comment 5 Alexander Nusov 2017-01-08 13:43:08 UTC
(In reply to Roman Bogorodskiy from comment #4)

Good point. I'll update the py-suds-jurko port.
Comment 6 Roman Bogorodskiy freebsd_committer 2017-01-08 13:49:50 UTC
(In reply to Alexander Nusov from comment #5)

Good. Please keep in mind that the CONFLICTS entry should be added to the both ports, py-suds and py-suds-jurko.
Comment 7 commit-hook freebsd_committer 2017-01-08 13:54:54 UTC
A commit references this bug:

Author: novel
Date: Sun Jan  8 13:54:07 UTC 2017
New revision: 430867
URL: https://svnweb.freebsd.org/changeset/ports/430867

Log:
  Add py-tooz 1.46.0, coordination library for distributed systems.

  PR:		215850
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-tooz/
  head/devel/py-tooz/Makefile
  head/devel/py-tooz/distinfo
  head/devel/py-tooz/pkg-descr
Comment 8 Alexander Nusov 2017-01-08 17:19:35 UTC
Created attachment 178627 [details]
adds oslo.vmware with updated suds jurko dependency
Comment 9 commit-hook freebsd_committer 2017-01-10 16:13:31 UTC
A commit references this bug:

Author: novel
Date: Tue Jan 10 16:13:02 UTC 2017
New revision: 431099
URL: https://svnweb.freebsd.org/changeset/ports/431099

Log:
  Add py-oslo.vmware 2.16.0, oslo VMware library.

  PR:		215850
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.vmware/
  head/devel/py-oslo.vmware/Makefile
  head/devel/py-oslo.vmware/distinfo
  head/devel/py-oslo.vmware/pkg-descr
Comment 10 Roman Bogorodskiy freebsd_committer 2017-01-10 16:52:21 UTC
Looking at the misc/py-cinder port, there's the following snipped there:

post-extract:
        @(cd ${WRKSRC}/etc/cinder; ${MV} logging_sample.conf logging.conf.sample)
        @(cd ${WRKSRC}/etc/cinder; for f in *.conf; do ${MV} $${f} $${f}.sample; done)

Are both ${MV}s are really necessary? Because it looks like everything will be matched by a single "*.conf" pattern.
Comment 11 Alexander Nusov 2017-01-10 19:19:05 UTC
Yes, they are..
The first expression renames logging_sample.conf to logging.conf.sample (to get logging.conf in $PREFIX/etc/cinder instead of logging_sample.conf) and the last one renames remaining *.conf to *.sample.
Comment 12 Roman Bogorodskiy freebsd_committer 2017-01-11 14:10:32 UTC
(In reply to Alexander Nusov from comment #11)

Ah, I see now, my bad.
Comment 13 Roman Bogorodskiy freebsd_committer 2017-01-14 15:24:35 UTC
(In reply to Roman Bogorodskiy from comment #12)

Probably one last thing before committing: %%ETCDIR%%/README-cinder.conf.sample is missing from the plist. As it only contains info how to generate config using tox, I decided that it's not very useful for majority of users, especially considering that we provide our own config file sample, so I've added the following to the post-extract target (right after moving *.conf files):

        # No need to ship this README becuase it tells how to generate sample config
        # file using tox, but we ship FreeBSD-friendly sample config already
        @${RM} ${WRKSRC}/etc/cinder/README-cinder.conf.sample
Comment 14 commit-hook freebsd_committer 2017-01-14 16:26:25 UTC
A commit references this bug:

Author: novel
Date: Sat Jan 14 16:25:24 UTC 2017
New revision: 431474
URL: https://svnweb.freebsd.org/changeset/ports/431474

Log:
  Add misc/py-cinder, Block Storage service for OpenStack

  PR:		215850
  Submitted by:	Alexander Nusov

Changes:
  head/GIDs
  head/UIDs
  head/misc/Makefile
  head/misc/py-cinder/
  head/misc/py-cinder/Makefile
  head/misc/py-cinder/distinfo
  head/misc/py-cinder/files/
  head/misc/py-cinder/files/01-remotefs.patch
  head/misc/py-cinder/files/02-nfs.patch
  head/misc/py-cinder/files/cinder-api.in
  head/misc/py-cinder/files/cinder-scheduler.in
  head/misc/py-cinder/files/cinder-volume.in
  head/misc/py-cinder/files/cinder.conf.sample
  head/misc/py-cinder/pkg-descr
  head/misc/py-cinder/pkg-message
  head/misc/py-cinder/pkg-plist
Comment 15 Roman Bogorodskiy freebsd_committer 2017-01-14 16:33:24 UTC
Committed, thanks!